## ninix-aya 3.9.4

=== Makefile ===
#
#  Makefile for ninix
#
#  $Id: Makefile,v 1.8 2004/11/22 07:35:44 shy Exp $
#

prefix = /opt/ninix-aya

exec_libdir = $(prefix)/lib/ninix

bindir = $(DESTDIR)$(prefix)/bin
docdir = $(DESTDIR)$(prefix)/doc
libdir = $(DESTDIR)$(exec_libdir)
localedir = $(DESTDIR)$(prefix)/share/locale

python = python

NINIX         = ninix
NINIX_INSTALL = ninix-install
NINIX_UPDATE  = ninix-update

all: modules/Makefile
	(cd modules ; $(MAKE) prefix=$(prefix))

modules/Makefile:
	(cd modules ; $(MAKE) -f Makefile.modules Makefile PYTHON=$(python))

install: install-lib install-bin install-doc

install-lib:
	mkdir -p $(libdir)
	cp modules/*.so $(libdir)
	cp -r lib/* $(libdir)
	(cd $(libdir) ; $(python) -c 'import compileall; compileall.compile_dir(".")')
	mkdir -p $(localedir)/ja/LC_MESSAGES
	mkdir -p $(localedir)/zh_TW/LC_MESSAGES
	(cd locale ; msgfmt ja.po -o $(localedir)/ja/LC_MESSAGES/ninix.mo)
	(cd locale ; msgfmt zh_TW.po -o $(localedir)/zh_TW/LC_MESSAGES/ninix.mo)

sed_dirs = sed -e "s,@python,$(python),g" -e "s,@libdir,$(exec_libdir),g"

install-bin:
	mkdir -p $(bindir)
	$(sed_dirs) bin/ninix.in         > bin/ninix
	$(sed_dirs) bin/ninix-install.in > bin/ninix-install
	$(sed_dirs) bin/ninix-update.in  > bin/ninix-update
	install -m 755 bin/ninix         $(bindir)/$(NINIX)
	install -m 755 bin/ninix-install $(bindir)/$(NINIX_INSTALL)
	install -m 755 bin/ninix-update  $(bindir)/$(NINIX_UPDATE)

install-doc:
	mkdir -p $(docdir)
	cp README README.ninix TODO.ninix doc/extension.txt doc/kawari.txt doc/saori.txt COPYING ChangeLog $(docdir)

clean: modules/Makefile
	$(RM) MANIFEST bin/ninix bin/ninix-install bin/ninix-update *~
	(cd modules ; $(MAKE) distclean ; $(RM) Makefile.pre.in)

archive:
	ln -sf $$HOME/python/sstplib.py lib
	ln -sf $$HOME/python/SakuraScript.py lib/ninix/script.py
	PYTHONPATH=`pwd`/lib $(python) setup.py sdist -f

## ninix-aya 3.9.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #
-#  Makefile for ninix
-#
-#  $Id: Makefile,v 1.8 2004/11/22 07:35:44 shy Exp $
+#  Makefile for ninix-aya
 #
 
 prefix = /opt/ninix-aya
@@ -19,17 +17,12 @@
 NINIX_INSTALL = ninix-install
 NINIX_UPDATE  = ninix-update
 
-all: modules/Makefile
-	(cd modules ; $(MAKE) prefix=$(prefix))
-
-modules/Makefile:
-	(cd modules ; $(MAKE) -f Makefile.modules Makefile PYTHON=$(python))
+all:
 
 install: install-lib install-bin install-doc
 
 install-lib:
 	mkdir -p $(libdir)
-	cp modules/*.so $(libdir)
 	cp -r lib/* $(libdir)
 	(cd $(libdir) ; $(python) -c 'import compileall; compileall.compile_dir(".")')
 	mkdir -p $(localedir)/ja/LC_MESSAGES
@@ -52,9 +45,8 @@
 	mkdir -p $(docdir)
 	cp README README.ninix TODO.ninix doc/extension.txt doc/kawari.txt doc/saori.txt COPYING ChangeLog $(docdir)
 
-clean: modules/Makefile
+clean:
 	$(RM) MANIFEST bin/ninix bin/ninix-install bin/ninix-update *~
-	(cd modules ; $(MAKE) distclean ; $(RM) Makefile.pre.in)
 
 archive:
 	ln -sf $$HOME/python/sstplib.py lib

## ninix-aya 4.0.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 
 NINIX         = ninix
 NINIX_INSTALL = ninix-install
-NINIX_UPDATE  = ninix-update
 
 all:
 
@@ -36,19 +35,12 @@
 	mkdir -p $(bindir)
 	$(sed_dirs) bin/ninix.in         > bin/ninix
 	$(sed_dirs) bin/ninix-install.in > bin/ninix-install
-	$(sed_dirs) bin/ninix-update.in  > bin/ninix-update
 	install -m 755 bin/ninix         $(bindir)/$(NINIX)
 	install -m 755 bin/ninix-install $(bindir)/$(NINIX_INSTALL)
-	install -m 755 bin/ninix-update  $(bindir)/$(NINIX_UPDATE)
 
 install-doc:
 	mkdir -p $(docdir)
 	cp README README.ninix TODO.ninix doc/extension.txt doc/kawari.txt doc/saori.txt COPYING ChangeLog $(docdir)
 
 clean:
-	$(RM) MANIFEST bin/ninix bin/ninix-install bin/ninix-update *~
-
-archive:
-	ln -sf $$HOME/python/sstplib.py lib
-	ln -sf $$HOME/python/SakuraScript.py lib/ninix/script.py
-	PYTHONPATH=`pwd`/lib $(python) setup.py sdist -f
+	$(RM) bin/ninix bin/ninix-install *~

=== debian/changelog ===
ninix-aya (4.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Remove suggest on lha.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Jun 2010 12:00:34 +0800

ninix-aya (4.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules: lib/ninix/plugin.py permission fixed in the upstream.
    Thanks to Shyouzou Sugitani.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 May 2010 14:12:02 +0800

ninix-aya (4.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Fix /usr/lib/games/ninix-aya/ninix/plugin.py permission

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 05 May 2010 21:38:12 +0800

ninix-aya (4.0.4-1) unstable; urgency=low

  * New upstream release
  * Use DebSrc3.0 format
  * Change from Debhelper5 to Debhelper7
  * debian/copyright: Use machine-readable format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 21 Apr 2010 00:52:25 +0800

ninix-aya (4.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.4

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 02 Mar 2010 23:27:40 +0800

ninix-aya (4.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add Depends on python-gst0.10
  * debian/control: Change Depends on python-scipy to python-numpy

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 04 Jan 2010 16:30:50 +0800

ninix-aya (3.9.9a-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch for sourceforge.jp change
  * Bump standard version to 3.8.3 - Nothing changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 22 Dec 2009 17:09:27 +0800

ninix-aya (3.9.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version to 3.8.2 - Nothing changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 23 Jul 2009 18:13:16 +0800

ninix-aya (3.9.8e-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 29 Jun 2009 21:32:10 +0800

ninix-aya (3.9.8a-1) unstable; urgency=low

  * New upstream release
  * List different copyright/license in debian/copyright
  * Update debian/watch for sourceforge.jp changes
  * Bump standard version to 3.8.0 - Nothing changed

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 21 Feb 2009 21:09:30 +0800

ninix-aya (3.9.7-1) unstable; urgency=low

  * New upstream release
  * Fix debian-rules-ignores-make-clean-error
  * Refine debian/copyright
  * Use Homepage field instead of the pseudo-field in long description
  * Use uupdate in debian/watch for easier update.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 20 Apr 2008 23:56:12 +0800

ninix-aya (3.9.4-1) unstable; urgency=low

  * New upstream release
  * Add suggest to jlha-utils

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Thu, 03 May 2007 23:49:08 +0800

ninix-aya (3.9.3-2) unstable; urgency=low

  * change priority to extra
  * add suggest to kawari8

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 26 Feb 2007 21:14:14 +0800

ninix-aya (3.9.3-1) unstable; urgency=low

  * Initial Release (Closes: #407541)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue,  9 Jan 2007 17:57:14 +0800

=== debian/control ===
Source: ninix-aya
Section: games
Priority: extra
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), python-dev, docbook-to-man,
	       python-support (>= 0.3)
XS-Python-Version: current
Homepage: http://ninix-aya.sourceforge.jp/

Package: ninix-aya
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, python-numpy, unzip, python-gst0.10
Suggests: python-chardet, kawari8
XB-Python-Version: ${python:Versions}
Description: Interactive fake-AI Ukagaka-compatible desktop mascot program
 "Ukagaka", also known as "Nanika", is a platform on which provides mascot
 characters for the user's desktop. "Ninix" is an Ukagaka-compatible
 program, but stop developing for a long time. "Ninix-aya" is derived
 from "Ninix" and improved a lot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh --with python-support $@

ninix.6: debian/ninix.sgml
	docbook-to-man debian/ninix.sgml > ninix.6

ninix-install.6: debian/ninix-install.sgml
	docbook-to-man debian/ninix-install.sgml > ninix-install.6

ninix-update.6: debian/ninix-update.sgml
	docbook-to-man debian/ninix-update.sgml > ninix-update.6

override_dh_auto_build: ninix.6 ninix-install.6 ninix-update.6
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- \
	prefix=/usr bindir=$(CURDIR)/debian/ninix-aya/usr/games \
	exec_libdir=/usr/lib/games/ninix-aya
	rm -rf $(CURDIR)/debian/ninix-aya/usr/doc
	chmod a-x $(CURDIR)/debian/ninix-aya/usr/lib/games/ninix-aya/ninix/dll/wmove.py
	chmod a-x $(CURDIR)/debian/ninix-aya/usr/lib/games/ninix-aya/ninix/dll/osuwari.py

## ninix-aya 4.0.8

=== debian/changelog ===
ninix-aya (4.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.1 - Nothing changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Jan 2011 17:02:38 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~), python-dev, docbook-to-man,
 	       python-support (>= 0.3)
 XS-Python-Version: current

## ninix-aya 4.1.9

=== debian/changelog ===
ninix-aya (4.1.9-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 30 Jun 2011 03:20:59 +0800

ninix-aya (4.1.8-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 28 Jun 2011 04:39:47 +0800

ninix-aya (4.1.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.2
    - Remove XB-Python-Version
    - Change XS-Python-Version from current to all

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Jun 2011 14:43:35 +0800

ninix-aya (4.1.4-1) unstable; urgency=low

  * New upstream release
    - Remove unzip Depends.
  * Update ninix-install.sgml for new options.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 04 Mar 2011 22:09:57 +0800

ninix-aya (4.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add python-gconf as Suggest for GNOME wallpaper changing.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 23 Feb 2011 20:11:41 +0800

ninix-aya (4.1.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright files.
  * Update debian/ninix.sgml to add --debug syntax.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 10 Feb 2011 17:28:19 +0800

ninix-aya (4.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 30 Jan 2011 13:26:09 +0800

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,12 @@
 	dh --with python-support $@
 
 ninix.6: debian/ninix.sgml
-	docbook-to-man debian/ninix.sgml > ninix.6
+	docbook-to-man $< > $@
 
 ninix-install.6: debian/ninix-install.sgml
-	docbook-to-man debian/ninix-install.sgml > ninix-install.6
+	docbook-to-man $< > $@
 
-ninix-update.6: debian/ninix-update.sgml
-	docbook-to-man debian/ninix-update.sgml > ninix-update.6
-
-override_dh_auto_build: ninix.6 ninix-install.6 ninix-update.6
+override_dh_auto_build: ninix.6 ninix-install.6
 	dh_auto_build
 
 override_dh_auto_install:

## ninix-aya 4.3.4

=== debian/changelog ===
ninix-aya (4.3.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Upstream fixed the permission issues. Remove the chmod lines.
    - Thanks to Shyouzou Sugitani
  * debian/docs: Add KNOWN_ISSUES
  * Remove manpage ninix-install.6 as ninix-install is no longer existed
  * Update manpage ninix.6 for new parameters

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Nov 2011 13:55:23 +0800

ninix-aya (4.2.10-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Oct 2011 15:31:08 +0800

ninix-aya (4.2.6-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Sep 2011 21:12:45 +0800

ninix-aya (4.2.5-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 05 Sep 2011 16:25:38 +0800

ninix-aya (4.2.4-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 24 Aug 2011 17:00:48 +0800

ninix-aya (4.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 04 Aug 2011 16:44:04 +0800

=== debian/control ===
Source: ninix-aya
Section: games
Priority: extra
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), python-dev, docbook-to-man,
	       python-support (>= 0.3)
XS-Python-Version: all
Homepage: http://ninix-aya.sourceforge.jp/

Package: ninix-aya
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, python-numpy, python-gst0.10
Suggests: python-chardet, kawari8, python-gconf
Description: Interactive fake-AI Ukagaka-compatible desktop mascot program
 "Ukagaka", also known as "Nanika", is a platform on which provides mascot
 characters for the user's desktop. "Ninix" is an Ukagaka-compatible
 program, but stop developing for a long time. "Ninix-aya" is derived
 from "Ninix" and improved a lot.

## ninix-aya 4.3.6

=== debian/changelog ===
ninix-aya (4.3.6-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Dec 2011 00:11:27 +0800

## ninix-aya 4.3.7

=== debian/changelog ===
ninix-aya (4.3.7-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 30 Dec 2011 23:22:39 +0800

## ninix-aya 4.3.9

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 python = python
 
 NINIX         = ninix
-NINIX_INSTALL = ninix-install
 
 all:
 
@@ -34,13 +33,11 @@
 install-bin:
 	mkdir -p $(bindir)
 	$(sed_dirs) bin/ninix.in         > bin/ninix
-	$(sed_dirs) bin/ninix-install.in > bin/ninix-install
 	install -m 755 bin/ninix         $(bindir)/$(NINIX)
-	install -m 755 bin/ninix-install $(bindir)/$(NINIX_INSTALL)
 
 install-doc:
 	mkdir -p $(docdir)
-	cp README README.ninix TODO.ninix doc/extension.txt doc/kawari.txt doc/saori.txt COPYING ChangeLog $(docdir)
+	cp README README.ninix TODO.ninix KNOWN_ISSUES doc/extension.txt doc/kawari.txt doc/saori.txt COPYING ChangeLog $(docdir)
 
 clean:
-	$(RM) bin/ninix bin/ninix-install *~
+	$(RM) bin/ninix *~

=== debian/changelog ===
ninix-aya (4.3.9-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 27 Feb 2012 00:40:59 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), python-dev, docbook-to-man,
-	       python-support (>= 0.3)
+	       python-support
 XS-Python-Version: all
 Homepage: http://ninix-aya.sourceforge.jp/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh --with python-support $@

ninix.6: debian/ninix.sgml
	docbook-to-man $< > $@

override_dh_auto_build: ninix.6
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- \
	prefix=/usr bindir=$(CURDIR)/debian/ninix-aya/usr/games \
	exec_libdir=/usr/lib/games/ninix-aya
	rm -rf $(CURDIR)/debian/ninix-aya/usr/doc

=== debian/watch ===
version=3
http://sourceforge.jp/projects/ninix-aya/releases/ \
        .*/projects/ninix-aya/downloads/.*/ninix-aya-(.*)\.tgz.*

## ninix-aya 4.4

=== debian/changelog ===
ninix-aya (4.4-1) unstable; urgency=low

  * New upstream release
  * Move to python2.
  * Fix typo in README.Debian
  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * Bump debhelper version to 9

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Mar 2014 15:35:00 +0800

=== debian/control ===
Source: ninix-aya
Section: games
Priority: extra
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), python-dev, docbook-to-man, dh-python,
               python-numpy, python-gi-dev, libgtk-3-dev
X-Python-Version: >= 2.7
Homepage: http://ninix-aya.sourceforge.jp/

Package: ninix-aya
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-gi, python-gst0.10, python-gtk2
Suggests: python-chardet, kawari8
Description: Interactive fake-AI Ukagaka-compatible desktop mascot program
 "Ukagaka", also known as "Nanika", is a platform on which provides mascot
 characters for the user's desktop. "Ninix" is an Ukagaka-compatible
 program, but stop developing for a long time. "Ninix-aya" is derived
 from "Ninix" and improved a lot.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh --with python-support $@
+	dh $@ --with python2
 
 ninix.6: debian/ninix.sgml
 	docbook-to-man $< > $@

## ninix-aya 4.999.1

=== debian/changelog ===
ninix-aya (4.999.1-1) unstable; urgency=low

  * New upstream release
    - Add ruby-narray to Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Feb 2016 21:17:18 +0800

ninix-aya (4.500.6-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 29 Nov 2015 23:23:32 +0800

ninix-aya (4.500.5-1) unstable; urgency=low

  * New upstream release
    - Change to Ruby, remove Python dependencies.
    - Upstream uses GStreamer 1.x. (Closes: #785851)
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 24 Oct 2015 04:27:44 +0800

=== debian/control ===
Source: ninix-aya
Section: games
Priority: extra
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), docbook-to-man, gem2deb
XS-Ruby-Versions: all
Homepage: http://ninix-aya.sourceforge.jp/

Package: ninix-aya
Architecture: any
Depends: ruby | ruby-interpreter,
         ruby-gettext,
         ruby-gio2,
         ruby-gstreamer,
         ruby-gtk3,
         ruby-narray,
         ruby-zip,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kawari8
Description: Interactive fake-AI Ukagaka-compatible desktop mascot program
 "Ukagaka", also known as "Nanika", is a platform on which provides mascot
 characters for the user's desktop. "Ninix" is an Ukagaka-compatible
 program, but stop developing for a long time. "Ninix-aya" is derived
 from "Ninix" and improved a lot.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --buildsystem=ruby --with ruby
 
 ninix.6: debian/ninix.sgml
 	docbook-to-man $< > $@

## ninix-aya 4.999.2

=== debian/changelog ===
ninix-aya (4.999.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.8: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 23 May 2016 21:19:09 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), docbook-to-man, gem2deb
 XS-Ruby-Versions: all
 Homepage: http://ninix-aya.sourceforge.jp/

## ninix-aya 5.0.2

=== debian/changelog ===
ninix-aya (5.0.2-1) unstable; urgency=low

  * New upstream release
    - Now it works with ruby-gnome2 (>= 3.0.9) (Closes: #840699)
  * Bump debhelper version to 10

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 02 Dec 2016 03:28:35 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), docbook-to-man, gem2deb
+Build-Depends: debhelper (>= 10), docbook-to-man, gem2deb
 XS-Ruby-Versions: all
 Homepage: http://ninix-aya.sourceforge.jp/
 
@@ -13,7 +13,7 @@
          ruby-gettext,
          ruby-gio2,
          ruby-gstreamer,
-         ruby-gtk3,
+         ruby-gtk3 (>= 3.0.9),
          ruby-narray,
          ruby-zip,
          ${misc:Depends},

## ninix-aya 5.0.3

=== debian/changelog ===
ninix-aya (5.0.3-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.0.0: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 29 Jun 2017 14:28:01 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10), docbook-to-man, gem2deb
 XS-Ruby-Versions: all
 Homepage: http://ninix-aya.sourceforge.jp/
@@ -18,6 +18,7 @@
          ruby-zip,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ruby-charlock-holmes
 Suggests: kawari8
 Description: Interactive fake-AI Ukagaka-compatible desktop mascot program
  "Ukagaka", also known as "Nanika", is a platform on which provides mascot

## ninix-aya 5.0.4

=== Makefile ===
#
#  Makefile for ninix-aya
#

prefix = /opt/ninix-aya

exec_libdir = $(prefix)/lib

bindir = $(DESTDIR)$(prefix)/bin
docdir = $(DESTDIR)$(prefix)/doc
libdir = $(DESTDIR)$(exec_libdir)
localedir = /usr/local/share/locale # system specific

shiori_so_dir = $(DESTDIR)$(prefix)/lib/kawari8:$(DESTDIR)$(prefix)/lib/yaya

ruby = ruby

NINIX = ninix

all:

install: install-lib install-bin install-doc

install-lib:
	mkdir -p $(libdir)
	cp -r lib/* $(libdir)
	mkdir -p $(localedir)/ja/LC_MESSAGES
	(cd po/ja ; msgfmt ninix-aya.po -o $(localedir)/ja/LC_MESSAGES/ninix-aya.mo)

sed_dirs = sed -e "s,@ruby,$(ruby),g" -e "s,@libdir,$(libdir),g" -e "s,@so_path,$(shiori_so_dir),g"

install-bin:
	mkdir -p $(bindir)
	$(sed_dirs) bin/ninix.in         > bin/ninix
	install -m 755 bin/ninix         $(bindir)/$(NINIX)

install-doc:
	mkdir -p $(docdir)
	cp README README.ninix SAORI COPYING ChangeLog $(docdir)

clean:
	$(RM) bin/ninix *~

=== debian/changelog ===
ninix-aya (5.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Build-Depends

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Sep 2017 02:00:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,16 @@
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), docbook-to-man, gem2deb
+Build-Depends: debhelper (>= 10),
+               docbook-to-man,
+               gem2deb,
+               ruby-charlock-holmes,
+               ruby-gettext,
+               ruby-gio2,
+               ruby-gstreamer,
+               ruby-gtk3,
+               ruby-narray,
+               ruby-zip
 XS-Ruby-Versions: all
 Homepage: http://ninix-aya.sourceforge.jp/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR=1

%:
	dh $@ --buildsystem=ruby --with ruby

ninix.6: debian/ninix.sgml
	docbook-to-man $< > $@

override_dh_auto_build: ninix.6
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp -- \
	prefix=/usr bindir=$(CURDIR)/debian/ninix-aya/usr/games \
	exec_libdir=/usr/lib/games/ninix-aya
	dh_auto_install --buildsystem=makefile --destdir=$(CURDIR)/debian/tmp -- prefix=/usr localedir='$$(DESTDIR)$$(prefix)/share/locale' exec_libdir='$$(prefix)/lib/games/ninix-aya' install

override_dh_auto_clean:
	dh_auto_clean --buildsystem=makefile
	dh_auto_clean

=== debian/watch ===
version=3
https://osdn.jp/projects/ninix-aya/releases/ \
        .*/projects/ninix-aya/downloads/.*/ninix-aya-(.*)\.tgz.*

## ninix-aya 5.0.6

=== debian/changelog ===
ninix-aya (5.0.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.2.1: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Nov 2018 09:21:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ninix-aya
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                docbook-to-man,
                gem2deb,

## ninix-aya 5.0.8

=== debian/changelog ===
ninix-aya (5.0.8-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch to scan latest osdn.net

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 Jan 2019 18:49:44 +0800

## ninix-aya 5.0.9

=== debian/changelog ===
ninix-aya (5.0.9-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.3.0: nothing needs to be changed
  * Bump debhelper version to 11

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 19 Jan 2019 19:59:12 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11),
                docbook-to-man,
                gem2deb,
                ruby-charlock-holmes,

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/, \
pagemangle=s%<osdn:file url="([^<]*)</osdn:file>%<a href="$1">$1</a>%g, \
downloadurlmangle=s%projects/ninix-aya/downloads%frs/redir\.php?m=iij&f=ninix-aya%g;s/tgz\//tgz/" \
https://osdn.net/projects/ninix-aya/releases/rss \
https://osdn.net/projects/ninix-aya/downloads/.*/ninix-aya-@ANY_VERSION@@ARCHIVE_EXT@/ debian uupdate
